osmo-msc-latest: centos8: add libdbi-dbd-sqlite

The missing dependency is being added to osmo-msc master's
contrib/osmo-msc.spec.in file. Until the next release is done, which
contains the patch, install the library explicitly to fix:
  <0009> db.c:648 Failed to create database connection to sqlite3 db 'sms.db';
                  Is the sqlite3 database driver for libdbi installed on this system?

Related: https://gerrit.osmocom.org/c/osmo-msc/+/23284
Change-Id: I27d4573de22a8e013623ec606e056d348102abd1
changes/86/23286/2
Oliver Smith 2 years ago committed by osmith
parent 79b752fa32
commit 9a526e876f
  1. 2
      osmo-msc-latest/Dockerfile

@ -4,6 +4,7 @@ FROM $USER/$DISTRO-obs-latest
# Arguments used after FROM must be specified again
ARG DISTRO
# libdbi-dbd-sqlite can be removed after osmo-msc > 1.7.0 release
RUN case "$DISTRO" in \
debian*) \
apt-get update && \
@ -13,6 +14,7 @@ RUN case "$DISTRO" in \
;; \
centos*) \
dnf install -y \
libdbi-dbd-sqlite \
osmo-msc \
;; \
esac

Loading…
Cancel
Save